mpiexec(1)

NAME
mpiexec

FILE
/Users/goodell/svn/mpich2-1.2.1p1-tmp/src/pm/mpd/mpiexec.py

DESCRIPTION
usage:

mpiexec [-h or -help or --help]
    # get this message

mpiexec -file filename
    # (or -f) filename contains XML job description mpiexec [global args] [local args] executable [args] where global args may be

    -l  # line labels by MPI rank

    -bnr
        # MPICH1 compatibility mode

    -machinefile
        # file mapping procs to machines

    -s <spec>
        # direct stdin to "all" or 1,2 or 2-4,6

    -1  # override default of trying 1st proc locally

    -ifhn
        # network interface to use locally

    -tv # run procs under totalview (must be installed)

    -tvsu
        # totalview startup only

    -gdb
        # run procs under gdb

    -m  # merge output lines (default with gdb)

    -a  # means assign this alias to the job

    -ecfn
        # output_xml_exit_codes_filename

    -recvtimeout <integer_val>
        # timeout for recvs to fail (e.g. from mpd daemon)

    -g<local arg name>
        # global version of local arg (below) and local args may be

    -n <n> or -np <n>
        # number of processes to start

    -wdir <dirname>
        # working directory to start in

    -umask <umask>
        # umask for remote process

    -path <dirname>
        # place to look for executables

    -host <hostname>
        # host to start on

    -soft <spec>
        # modifier of -n value

    -arch <arch>
        # arch type to start on (not implemented)

    -envall
        # pass all env vars in current environment

    -envnone
        # pass no env vars -envlist <list of env var names> # pass current values of these vars

    -env <name> <value>
        # pass this value of this env var mpiexec [global args] [local args] executable args : [local args] executable...

mpiexec -gdba jobid
    # gdb-attach to existing jobid

mpiexec -configfile filename
    # filename contains cmd line segs as lines (See User Guide for more details)

Examples: mpiexec -l -n 10 cpi 100 mpiexec -genv QPL_LICENSE 4705 -n 3 a.out

    mpiexec -n 1 -host foo master : -n 4 -host mysmp slave

FUNCTIONS
adjust_nprocs(nProcs, softness)

collect_args(args, localArgSets)

ctime(...) ctime(seconds) -> string

    Convert a time in seconds since the Epoch to a string in local time. This is equivalent to asctime(localtime(seconds)). When the time tuple is not present, current time as returned by localtime() is used.

format_sorted_ranks(ranks)

get_parms_from_xml_file(msgToMPD)

get_vals_for_attach(parmdb, conSock, msgToMPD)

handle_cli_stderr_input(sock, streamHandler)

handle_cli_stdout_input(sock, parmdb, streamHandler, linesPerRank)

handle_local_argset(argset, machineFileInfo, msgToMPD)

handle_man_input(sock, streamHandler)

handle_sig_occurred(manSock)

handle_stdin_input(stdin_stream, parmdb, streamHandler, manSock)

    # NOTE: stdin is supposed to be slow, low-volume.
        We read it all here (as it

    # appears on the fd) and send it immediately to the receivers.
        If the user # redirects a "large" file (perhaps as small as 5k) into us, we will send it

    # all out right away.
        This can cause things to hang on the remote (recvr) side. # We do not wait to read here until the recvrs read because there may be several # recvrs and they may read at different speeds/times.

mpiexec()

print_ready_merged_lines(minRanks, parmdb, linesPerRank)

read_machinefile(machineFilename)

sig_handler(signum, frame)

time(...) time() -> floating point number

    Return the current time in seconds since the Epoch. Fractions of a second may be present if the system clock provides them.

usage()

DATA
__author__ = 'Ralph Butler and Rusty Lusk' __credits__ = '' __date__ = 'Mon Feb 22 16:28:11 2010' __version__ = '$Revision: 1.90 $' pwd_module_available = 1

VERSION
1.90

DATE
Mon Feb 22 16:28:11 2010

AUTHOR
Ralph Butler and Rusty Lusk

CREDITS